#include<graphics.h>
#include<conio.h>
#include<stdio.h>



void floodfill(int x,int y,int oldcolor,int newcolor)
{
if(getpixel(x,y)!=oldcolor&&getpixel(x,y)!=newcolor)
{
putpixel(x,y,newcolor);
floodfill(x+1,y,oldcolor,newcolor);
floodfill(x,y+1,oldcolor,newcolor);
floodfill(x-1,y,oldcolor,newcolor);
floodfill(x,y-1,oldcolor,newcolor);
delay(100);
}
}
int main()
{
int gm,gd=DETECT,r;
int x,y;
initgraph(&gm,&gd,"C:\\TURBOC3\\BGI");
rectangle(50,50,100,100);

floodfill(55,55,4,15);
closegraph();
return 0;
	     }
